<?php

namespace App\ViewModels\UnidadeUF\UnidadeUFRegistrationViewModel;

use App\Utils\Entity;

class UnidadeUFRegistrationViewModel extends Entity {
	protected $idUnidade;
	protected $idUf;
	protected $crc;
	protected $nomeUnidade;

	public static function builder(): UnidadeUFRegistrationViewModelBuilder {

		return new UnidadeUFRegistrationViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->idUnidade;
	}


	/**
	 * @return mixed
	 */
	public function getIdUf() {

		return $this->idUf;
	}


	/**
	 * @return mixed
	 */
	public function getCrc() {

		return $this->crc;
	}


	/**
	 * @return mixed
	 */
	public function getNomeUnidade() {

		return $this->nomeUnidade;
	}


	/**
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade) {

		$this->idUnidade = $idUnidade;
	}


	/**
	 * @param mixed $idUf
	 */
	public function setIdUf($idUf) {

		$this->idUf = $idUf;
	}


	/**
	 * @param mixed $crc
	 */
	public function setCrc($crc) {

		$this->crc = $crc;
	}


	/**
	 * @param mixed $nomeUnidade
	 */
	public function setNomeUnidade($nomeUnidade) {

		$this->nomeUnidade = $nomeUnidade;
	}


	


}

